fop 2.3

## org.apache.fop.render.txt
Class TxtRendererConfig.TxtRendererConfigParser

    java.lang.Object
      org.apache.fop.render.txt.TxtRendererConfig.TxtRendererConfigParser

All Implemented Interfaces:
  RendererConfig.RendererConfigParser

Enclosing class:
  TxtRendererConfig

    public static final class TxtRendererConfig.TxtRendererConfigParser

extends java.lang.Object
implements RendererConfig.RendererConfigParser

The Text renderer configuration data parser.

Constructor Summary
`TxtRendererConfig.TxtRendererConfigParser()`

Method Summary
`TxtRendererConfig` `build(FOUserAgent userAgent, org.apache.avalon.framework.configuration.Configuration cfg)` Builds the object that contains the renderer configuration data.
`java.lang.String` `getMimeType()` The MIME type of the renderer.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### TxtRendererConfig.TxtRendererConfigParser

    public TxtRendererConfig.TxtRendererConfigParser()

Method Detail

### build

    public TxtRendererConfig build(FOUserAgent userAgent,
                                   org.apache.avalon.framework.configuration.Configuration cfg)
                            throws FOPException

  Builds the object that contains the renderer configuration data.

  Specified by:
    `build` in interface `RendererConfig.RendererConfigParser`
  Parameters:
    `userAgent` - the user agent
    `cfg` - the Avalon config object for parsing the data
  Returns:
    the configuration data object
  Throws:
    `FOPException` - if an error occurs while parsing the fop conf

### getMimeType

    public java.lang.String getMimeType()

  The MIME type of the renderer.

  Specified by:
    `getMimeType` in interface `RendererConfig.RendererConfigParser`
  Returns:
    the mime type

fop 2.3

Copyright 1999-2018 The Apache Software Foundation. All Rights Reserved.